(* strmtest.pas -- test program for string manipulation library

   This file is part of the StrMan string manipulation library.

   Copyright (c) 1999 Aleksey V. Vaneev

   The StrMan library is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of
   the License, or (at your option) any later version.

   The StrMan library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with the StrMan library; see the file COPYING.
   If not, write to the Free Software Foundation, Inc.,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

   Aleksey V. Vaneev
   <picoder@sbis.komi.ru>
   http://sbis.komi.ru/picoder
 *)

USES StrMan;

CONST
	ASCIIZString: ARRAY [0..40] OF Char = '1123456'#0;

BEGIN
	WriteLn ('StrMan.pas Test Program v1.0 (c) 1999 Aleksey V. Vaneev');
	WriteLn;

	WriteLn (CharReplicate ('A', 64));
	WriteLn (StringReplicate ('Hi! ', 10), '<');
	WriteLn ('CharPos: ', CharPos ('a', 'This is a test!', 0),
		'; StringPos: ', StringPos ('is', 'This is a test!', 0));
	WriteLn (StringJustifyRight ('Item1', 64, '.'));
	WriteLn (StringJustifyLeft ('Item1', 64, '.'));
	WriteLn (StringJustifyCenter ('Item1', 64, '.'));
	WriteLn (StringJustifyWrap ('This is a JustifyWrap', 40, ' ', '.'), '<');
	WriteLn (StringTrimRight ('   111werozixcva222    ', ' 12'), '<');
	WriteLn (StringTrimLeft ('   111werozixcva222    ', ' 12'), '<');
	WriteLn (StringTrimAll ('   111werozixcva222    ', ' 12'), '<');
	WriteLn (StringReverse ('today'));
	WriteLn (StringFromData (Addr (ASCIIZString), 5), '<');
	WriteLn (StringFromNul (Addr (ASCIIZString)), '<');
	WriteLn (StringCase ('This will be printed uppercased!', @UpperCase));
	WriteLn (StringExtract ('This is a test', 5, 2), '<');
	WriteLn (StringRemove ('This is a test', 0, 5), '<');
	WriteLn (StringInsert ('is ', 'This a test', 5), '<');
	WriteLn ('Word count: ', StringWordCount ('My test string', ' '),
		'; 2nd word is: ', StringWordGet ('My test string', ' ', 2),
		'; 3rd word position is: ', StringWordPos ('My test string', ' ', 3));
	WriteLn (StringMatching ('This is a test', 'This*is*'));
END.